Debian Bug report logs - #689687
guile-1.6: FTBFS on i386, kfreebsd-i386: testsuite failures

version graph

Package: src:guile-1.6; Maintainer for src:guile-1.6 is Rob Browning <rlb@defaultvalue.org>;

Reported by: Andreas Beckmann <debian@abeckmann.de>

Date: Fri, 5 Oct 2012 06:12:01 UTC

Severity: serious

Tags: patch

Found in version guile-1.6/1.6.8-10.1

Fixed in version guile-1.6/1.6.8-10.3

Done: Daniel Hartwig <mandyke@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Rob Browning <rlb@defaultvalue.org>:
Bug#689687; Package src:guile-1.6. (Fri, 05 Oct 2012 06:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
New Bug report received and forwarded. Copy sent to Rob Browning <rlb@defaultvalue.org>. (Fri, 05 Oct 2012 06:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: guile-1.6: FTBFS on i386, kfreebsd-i386: testsuite failures
Date: Fri, 05 Oct 2012 08:10:14 +0200
Source: guile-1.6
Version: 1.6.8-10.1
Severity: serious
Justification: fails to build from source (but built successfully in the past)

Hi,

guile-1.6 does FTBFS on i386 and kfreebsd-i386 (but not hurd-i386) with
a testsuite failure, see
https://buildd.debian.org/status/package.php?p=guile-1.6

I can reproduce this locally in a i386 pbuilder chroot on amd64.
Previous buildd builds for kfreebsd-i386 have succeeded on different hosts, but
there haven't been any i386 buildd builds for the last 3 years, as the maintainer
builds were done on i386.

This is blocking 1.6.8-10.2 which fixes one RC bug to be ready for
going to testing.

Andreas


/usr/bin/make  check-TESTS
make[3]: Entering directory `/build/buildd-guile-1.6_1.6.8-10.2-i386-LyjM4e/guile-1.6-1.6.8'
Testing /build/buildd-guile-1.6_1.6.8-10.2-i386-LyjM4e/guile-1.6-1.6.8/pre-inst-guile ...
with GUILE_LOAD_PATH=/build/buildd-guile-1.6_1.6.8-10.2-i386-LyjM4e/guile-1.6-1.6.8/test-suite
Running alist.test
Running and-let-star.test
Running bit-operations.test
Running c-api.test
Running chars.test
Running common-list.test
Running environments.test
UNRESOLVED: environments.test: leaf-environments: observe-weak: weak observer gets collected
UNRESOLVED: environments.test: leaf-environment based eval-environments: observe-weak: weak observer gets collected
Running eval.test
Running exceptions.test
Running filesys.test
Running format.test
Running gc.test
Running getopt-long.test
Running goops.test
Running guardians.test
FAIL: guardians.test: g1-garbage saved
FAIL: guardians.test: g2-saved
FAIL: guardians.test: g2-garbage saved
Running hash.test
Running hooks.test
Running import.test
Running interp.test
Running list.test
Running load.test
Running numbers.test
Running optargs.test
Running poe.test
Running popen.test
Running ports.test
Running posix.test
Running r4rs.test
Running ramap.test
Running reader.test
Running receive.test
Running regexp.test
Running slib.test
Running srcprop.test
Running srfi-1.test
Running srfi-10.test
Running srfi-13.test
Running srfi-14.test
Running srfi-17.test
Running srfi-19.test
Running srfi-31.test
Running srfi-39.test
Running srfi-4.test
Running srfi-9.test
Running strings.test
Running symbols.test
Running syncase.test
Running syntax.test
Running time.test
Running unif.test
Running version.test
Running weaks.test

Totals for this test run:
passes:                 9756
failures:               3
unexpected passes:      0
expected failures:      18
unresolved test cases:  2
untested test cases:    0
unsupported test cases: 9
errors:                 0

FAIL: check-guile
==================
1 of 1 test failed
==================
make[3]: *** [check-TESTS] Error 1



Information forwarded to debian-bugs-dist@lists.debian.org, Rob Browning <rlb@defaultvalue.org>:
Bug#689687; Package src:guile-1.6. (Thu, 08 Nov 2012 15:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Hartwig <mandyke@gmail.com>:
Extra info received and forwarded to list. Copy sent to Rob Browning <rlb@defaultvalue.org>. (Thu, 08 Nov 2012 15:09:03 GMT) Full text and rfc822 format available.

Message #10 received at 689687@bugs.debian.org (full text, mbox):

From: Daniel Hartwig <mandyke@gmail.com>
To: Andreas Beckmann <debian@abeckmann.de>, Ludovic Courtès <ludo@gnu.org>, 689687@bugs.debian.org
Subject: Re: Bug#689687: guile-1.6: FTBFS on i386, kfreebsd-i386: testsuite failures
Date: Thu, 08 Nov 2012 23:03:45 +0800
[Message part 1 (text/plain, inline)]
Ludovic,

I note that a few years ago you relaxed these tests to “(throw
'unresolved)” due to the problems with testing garbage collection.

If you have time, please briefly review my comments below, and whether
it is sane to also relax these tests in Debian's guile-1.6 package (see
attached).  I will also be investigating this further to confirm that
guardians are working as expected with this version.

Regards

Andreas Beckmann <debian@abeckmann.de> wrote:
> guile-1.6 does FTBFS on i386 and kfreebsd-i386 (but not hurd-i386) with
> a testsuite failure, see
> https://buildd.debian.org/status/package.php?p=guile-1.6
>
> I can reproduce this locally in a i386 pbuilder chroot on amd64.
> Previous buildd builds for kfreebsd-i386 have succeeded on different hosts, but
> there haven't been any i386 buildd builds for the last 3 years, as the maintainer
> builds were done on i386.
>

> FAIL: guardians.test: g1-garbage saved
> FAIL: guardians.test: g2-saved
> FAIL: guardians.test: g2-garbage saved

[Background: I am a guile user, sometimes contributor, some experience
using guardians.]

These particular tests have long had trouble passing, although this does
not strictly indicate failure.  They make some assumptions about the
order and completeness of garbage collection which (I believe) can not
actually be asserted.

This is documented in guardians.test:

;;; These tests make some questionable assumptions.
;;; - They assume that a GC will find all dead objects, so they
;;;   will become flaky if we have a generational GC.
;;; - They assume that objects won't be saved by the guardian until
;;;   they explicitly invoke GC --- in other words, they assume that GC
;;;   won't happen too often.

and this additional comment is later inserted upstream:

;;; - More generally, when a weakly referenced object doesn't disappear as
;;;   expected, it's hard to tell whether that's because of a guardian bug of
;;;   because a reference to it is being held somewhere, e.g., one some part
;;;   of the stack that hasn't been overwritten.  Thus, most tests cannot
;;;   fail, they can just throw `unresolved'.  We try hard to clear
;;;   references that may have been left on the stacks (see "clear refs left
;;;   on the stack" lines).

Another problem is that they use symbols, which are globally interned
(and thus, not garbage collected in all cases).  Upstream later changed
changed these to strings, making the tests more reliable.

In subsequent revisions, “g1-garbage saved” has been removed, and the
other two tests have been relaxed so that they result in “unresolved”
rather than failure.

The test "g1-garbage not collected yet" strongly relies on the second
assumption.  It is a poor test, even though it seems to pass ok.
Upstream has removed this test also.

The upstream changes can be seen at:
<http://git.savannah.gnu.org/gitweb/?p=guile.git;a=history;f=test-suite/tests/guardians.test;hb=HEAD>

These are relevant:

commit 6a7489ace3f07a8d190110cd1244963526c65729
Author: Ludovic Courtès <ludo@gnu.org>
Date:   Sat Feb 28 16:51:19 2009 +0100

    Increase chances that `guardians.test' can be successfully run.

commit e13f1cbdffa4f333d9866d1b22cd2c9a3b17b3bd
Author: Ludovic Courtes <ludovic.courtes@laas.fr>
Date:   Sun Jun 25 22:43:20 2006 +0000

    Fixed `guardians.test' so that it does not use symbols.

commit 2924541ba0b1ec65ef377f3828333c3268e464b9
Author: Marius Vollmer <mvo@zagadka.de>
Date:   Sun Jul 31 23:16:45 2005 +0000

    Adapted to new (original) semantics.  test guardingobjects multiple
    times.

> This is blocking 1.6.8-10.2 which fixes one RC bug to be ready for
> going to testing.

Given that the tests fail only on some i386 archs, it may be reasonable
to relax those tests which it makes sense to, and change the use of
symbols to strings.  See attached patch.

I will follow up after investigating more whether something is actually
broken here.  Maybe to do with other debian patches, which I have not
looked at yet.

Regards
[relax-guardians-test.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Rob Browning <rlb@defaultvalue.org>:
Bug#689687; Package src:guile-1.6. (Thu, 08 Nov 2012 20:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to ludo@gnu.org (Ludovic Courtès):
Extra info received and forwarded to list. Copy sent to Rob Browning <rlb@defaultvalue.org>. (Thu, 08 Nov 2012 20:27:03 GMT) Full text and rfc822 format available.

Message #15 received at 689687@bugs.debian.org (full text, mbox):

From: ludo@gnu.org (Ludovic Courtès)
To: Daniel Hartwig <mandyke@gmail.com>
Cc: Andreas Beckmann <debian@abeckmann.de>, 689687@bugs.debian.org
Subject: Re: Bug#689687: guile-1.6: FTBFS on i386, kfreebsd-i386: testsuite failures
Date: Thu, 08 Nov 2012 21:15:56 +0100
Hi Daniel,

Daniel Hartwig <mandyke@gmail.com> skribis:

> If you have time, please briefly review my comments below, and whether
> it is sane to also relax these tests in Debian's guile-1.6 package (see
> attached).  I will also be investigating this further to confirm that
> guardians are working as expected with this version.

Your analysis makes perfect sense to me.

> commit e13f1cbdffa4f333d9866d1b22cd2c9a3b17b3bd
> Author: Ludovic Courtes <ludovic.courtes@laas.fr>
> Date:   Sun Jun 25 22:43:20 2006 +0000
>
>     Fixed `guardians.test' so that it does not use symbols.

In the context of 1.6/1.8, I’d first install the above patch and see
whether it improves things.

Then, if that’s not enough, you may indeed relax the tests to (throw
'unresolved).  But make sure to do manual testing of guardians before
you do.

(The problem of these tests is that they rely on largely
non-deterministic behavior, which is why I ended up relaxing them.)

Thanks,
Ludo’.



Information forwarded to debian-bugs-dist@lists.debian.org, Rob Browning <rlb@defaultvalue.org>:
Bug#689687; Package src:guile-1.6. (Thu, 08 Nov 2012 20:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Rob Browning <rlb@defaultvalue.org>. (Thu, 08 Nov 2012 20:51:03 GMT) Full text and rfc822 format available.

Message #20 received at 689687@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Ludovic Courtès <ludo@gnu.org>
Cc: Daniel Hartwig <mandyke@gmail.com>, 689687@bugs.debian.org
Subject: Re: Bug#689687: guile-1.6: FTBFS on i386, kfreebsd-i386: testsuite failures
Date: Thu, 08 Nov 2012 21:48:53 +0100
On 2012-11-08 21:15, Ludovic Courtès wrote:
> In the context of 1.6/1.8, I’d first install the above patch and see
> whether it improves things.

I just tried relax-guardians-test.diff and the build now succeeds in my
pbuilder i386 chroot on amd64 (while -10.2 still fails).


Andreas



Information forwarded to debian-bugs-dist@lists.debian.org, Rob Browning <rlb@defaultvalue.org>:
Bug#689687; Package src:guile-1.6. (Fri, 09 Nov 2012 01:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Hartwig <mandyke@gmail.com>:
Extra info received and forwarded to list. Copy sent to Rob Browning <rlb@defaultvalue.org>. (Fri, 09 Nov 2012 01:27:04 GMT) Full text and rfc822 format available.

Message #25 received at 689687@bugs.debian.org (full text, mbox):

From: Daniel Hartwig <mandyke@gmail.com>
To: Andreas Beckmann <debian@abeckmann.de>, 689687@bugs.debian.org
Cc: Ludovic Courtès <ludo@gnu.org>
Subject: Re: Bug#689687: guile-1.6: FTBFS on i386, kfreebsd-i386: testsuite failures
Date: Fri, 9 Nov 2012 09:22:35 +0800
Control: tags -1 + patch

On 9 November 2012 04:15, Ludovic Courtès <ludo@gnu.org> wrote:
> Your analysis makes perfect sense to me.

Thanks.

>
>> commit e13f1cbdffa4f333d9866d1b22cd2c9a3b17b3bd
>> Author: Ludovic Courtes <ludovic.courtes@laas.fr>
>> Date:   Sun Jun 25 22:43:20 2006 +0000
>>
>>     Fixed `guardians.test' so that it does not use symbols.
>
> In the context of 1.6/1.8, I’d first install the above patch and see
> whether it improves things.

This did not help, the tests still failed.

> Then, if that’s not enough, you may indeed relax the tests to (throw
> 'unresolved).  But make sure to do manual testing of guardians before
> you do.

On a linux-i386 machine that experiences the test failures, I have
manually confirmed that guardians do indeed work as documented:

$ ./pre-inst-guile --version | head -n1
Guile 1.6.8
$ ./pre-inst-guile
guile> (define g2 (make-guardian))
guile> (g2 (list (string-copy "g2-garbage")))
guile> (define g3 (make-guardian))
guile> (g3 (list (string-copy "g3-garbage")))
guile> (g3 g2)
guile> (set! g2 #f)
guile> (gc)
guile> (define saved #f)
guile> (do ((i 1 (1+ i)))
           ((> i 100)
            (set! saved (g3)))
         (apply + (iota 10)))
guile> saved
("g3-garbage")
guile> (set! saved #f)
guile> (do ((i 1 (1+ i)))
           ((> i 100)
            (set! saved (g3)))
         (apply + (iota 10)))
guile> saved
#<greedy guardian 0x90f36f0 (reachable: 0 unreachable: 1)>
guile> (saved)
("g2-garbage")
guile> (saved)
#f

which covers the same area as the failing tests.  The patch to relax
the tests makes the test-suite pass, and is ok for inclusion.

Andreas, I am not a DM, will you take care of this again?

Regards



Added tag(s) patch. Request was from Daniel Hartwig <mandyke@gmail.com> to 689687-submit@bugs.debian.org. (Fri, 09 Nov 2012 01:27:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Rob Browning <rlb@defaultvalue.org>:
Bug#689687; Package src:guile-1.6. (Fri, 09 Nov 2012 07:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Hartwig <mandyke@gmail.com>:
Extra info received and forwarded to list. Copy sent to Rob Browning <rlb@defaultvalue.org>. (Fri, 09 Nov 2012 07:30:03 GMT) Full text and rfc822 format available.

Message #32 received at 689687@bugs.debian.org (full text, mbox):

From: Daniel Hartwig <mandyke@gmail.com>
To: Andreas Beckmann <debian@abeckmann.de>, 689687@bugs.debian.org
Subject: Re: Bug#689687: guile-1.6: FTBFS on i386, kfreebsd-i386: testsuite failures
Date: Fri, 9 Nov 2012 15:23:37 +0800
[Message part 1 (text/plain, inline)]
On 9 November 2012 09:22, Daniel Hartwig <mandyke@gmail.com> wrote:
> Andreas, I am not a DM, will you take care of this again?

I presume too much! :-)

I have uploaded this package to mentors with the attached debdiff.
Sponsoring welcome.

http://mentors.debian.net/debian/pool/main/g/guile-1.6/guile-1.6_1.6.8-10.3.dsc

Also have filed RFS.
[guile-1.6.debdiff (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Rob Browning <rlb@defaultvalue.org>:
Bug#689687; Package src:guile-1.6. (Fri, 09 Nov 2012 08:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Rob Browning <rlb@defaultvalue.org>. (Fri, 09 Nov 2012 08:51:03 GMT) Full text and rfc822 format available.

Message #37 received at 689687@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Daniel Hartwig <mandyke@gmail.com>
Cc: 689687@bugs.debian.org
Subject: Re: Bug#689687: guile-1.6: FTBFS on i386, kfreebsd-i386: testsuite failures
Date: Fri, 09 Nov 2012 09:48:27 +0100
On 2012-11-09 08:23, Daniel Hartwig wrote:
> On 9 November 2012 09:22, Daniel Hartwig <mandyke@gmail.com> wrote:
>> Andreas, I am not a DM, will you take care of this again?

You need a DD to do this NMU, so I cannot (yet) help there.

> I presume too much! :-)
> 
> I have uploaded this package to mentors with the attached debdiff.
> Sponsoring welcome.
> 
> http://mentors.debian.net/debian/pool/main/g/guile-1.6/guile-1.6_1.6.8-10.3.dsc
> 
> Also have filed RFS.

Thanks!

If it clearly mentions "fix RC bug" in some way, this should attract
attention, this is how I got the -10.2 NMU done.

Once this got through, I'll file an unblock request s.t. we get these 2
bugfixes into wheezy.

Andreas



Information forwarded to debian-bugs-dist@lists.debian.org, Rob Browning <rlb@defaultvalue.org>:
Bug#689687; Package src:guile-1.6. (Fri, 09 Nov 2012 13:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Rob Browning <rlb@defaultvalue.org>. (Fri, 09 Nov 2012 13:18:03 GMT) Full text and rfc822 format available.

Message #42 received at 689687@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 689687@bugs.debian.org
Cc: Daniel Hartwig <mandyke@gmail.com>, 689687-submitter@bugs.debian.org
Subject: guile-1.6: diff for NMU version 1.6.8-10.3
Date: Fri, 9 Nov 2012 14:15:03 +0100
[Message part 1 (text/plain, inline)]
tags 689687 + pending
thanks

Dear maintainer,

Daniel Hartwig has prepared an NMU for guile-1.6 (versioned as
1.6.8-10.3) and I've uploaded it to DELAYED/2. Please feel free to
tell me if I should delay it longer.

Regards.

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Leonard Cohen: Chelsea Hotel #2
[guile-1.6-1.6.8-10.3-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Fri, 09 Nov 2012 13:18:06 GMT) Full text and rfc822 format available.

Message sent on to Andreas Beckmann <debian@abeckmann.de>:
Bug#689687. (Fri, 09 Nov 2012 13:18:11 GMT) Full text and rfc822 format available.

Reply sent to Daniel Hartwig <mandyke@gmail.com>:
You have taken responsibility. (Sun, 11 Nov 2012 13:33:20 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Sun, 11 Nov 2012 13:33:20 GMT) Full text and rfc822 format available.

Message #52 received at 689687-close@bugs.debian.org (full text, mbox):

From: Daniel Hartwig <mandyke@gmail.com>
To: 689687-close@bugs.debian.org
Subject: Bug#689687: fixed in guile-1.6 1.6.8-10.3
Date: Sun, 11 Nov 2012 13:32:40 +0000
Source: guile-1.6
Source-Version: 1.6.8-10.3

We believe that the bug you reported is fixed in the latest version of
guile-1.6, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 689687@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Hartwig <mandyke@gmail.com> (supplier of updated guile-1.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 09 Nov 2012 15:00:16 +0800
Source: guile-1.6
Binary: guile-1.6 guile-1.6-dev guile-1.6-doc guile-1.6-libs libqthreads-12 libguile-ltdl-1 guile-1.6-slib
Architecture: source all amd64
Version: 1.6.8-10.3
Distribution: unstable
Urgency: low
Maintainer: Rob Browning <rlb@defaultvalue.org>
Changed-By: Daniel Hartwig <mandyke@gmail.com>
Description: 
 guile-1.6  - The GNU extension language and Scheme interpreter
 guile-1.6-dev - Development files for Guile 1.6
 guile-1.6-doc - Reference and tutorial documentation for Guile 1.6
 guile-1.6-libs - Main Guile libraries
 guile-1.6-slib - Guile SLIB support
 libguile-ltdl-1 - Guile's patched version of libtool's libltdl
 libqthreads-12 - QuickThreads library for Guile
Closes: 689687
Changes: 
 guile-1.6 (1.6.8-10.3) unstable; urgency=low
 .
   * Non-maintainer upload.
   * relax-guardians-test.diff: Backport upstream changes to stop these
     tests from failing.  Fixes FTBFS on i386, kfreebsd-i386.
     (Closes: #689687)
Checksums-Sha1: 
 da0acf6368764d90c2547ebc2d5dc5bde991716a 2094 guile-1.6_1.6.8-10.3.dsc
 3334bcbd5e02507bf3f4ec871229d35690598378 942684 guile-1.6_1.6.8-10.3.diff.gz
 2199c2d61fa2679f34efc2462be38e410c5bc08c 373842 guile-1.6-doc_1.6.8-10.3_all.deb
 429e0be9938f1b9cdd17487fff7a98a751b0678f 16768 guile-1.6-slib_1.6.8-10.3_all.deb
 16a332f7b2990e2250fdd56929b2ccbca6765e5e 19772 guile-1.6_1.6.8-10.3_amd64.deb
 9e4f3c35a2b04d97f15b7131f57ff17275ef741e 572380 guile-1.6-dev_1.6.8-10.3_amd64.deb
 d7207a59d88ee5037ef25992bb64016187577393 648486 guile-1.6-libs_1.6.8-10.3_amd64.deb
 fd7b68ef4820ebad2a09ea2e91756de5574a8e22 16618 libqthreads-12_1.6.8-10.3_amd64.deb
 2992f574599f76cdf8d3d346e3179efbc7968a7c 18816 libguile-ltdl-1_1.6.8-10.3_amd64.deb
Checksums-Sha256: 
 bc45eba869ace648108bd34856f8503a50c9e719c371e60b68b2b51813dce420 2094 guile-1.6_1.6.8-10.3.dsc
 b60b141fa8fbdf70433c31cba12b85e365193c01b68fbb803be1368c5502e40b 942684 guile-1.6_1.6.8-10.3.diff.gz
 fdb58d59e713adb4ba6cdb87287de0a7f42cf16a78ceecf13f1bff8a5a7110d9 373842 guile-1.6-doc_1.6.8-10.3_all.deb
 07712b157fe88dc67f8f73e98604e6c6c153164f7f6f39d9d693ed50fa937029 16768 guile-1.6-slib_1.6.8-10.3_all.deb
 23578b00c0ce165a3942ef642d39833500f8750c450f66c6b3e0d15d6bd87564 19772 guile-1.6_1.6.8-10.3_amd64.deb
 d90611adc4ee3a2ebd37000b7a5b8b14a7e28d3dbc39d81ad04b33262a5b735b 572380 guile-1.6-dev_1.6.8-10.3_amd64.deb
 243e3ef22963a2f0882e17ef475d6d2b567c0539f46800b9027cd4a7286cb85b 648486 guile-1.6-libs_1.6.8-10.3_amd64.deb
 abeeaa4bd5ccc2a7e5ae2e19d54f7e9e8bcb5277ade726192737e06650abf4ce 16618 libqthreads-12_1.6.8-10.3_amd64.deb
 11566a738a13f2f2dec927afe919b71ef88e977329d9af32da843bf3d502df0c 18816 libguile-ltdl-1_1.6.8-10.3_amd64.deb
Files: 
 8d3b6a8e74c2dde71b506e7667646b43 2094 interpreters optional guile-1.6_1.6.8-10.3.dsc
 06ddfb836c43a3aada76b10e3df490e8 942684 interpreters optional guile-1.6_1.6.8-10.3.diff.gz
 d76b962fbdd574e730af3d9d79fc8cef 373842 doc optional guile-1.6-doc_1.6.8-10.3_all.deb
 baee98b7d88373fbdc901afd8b8e46a7 16768 lisp optional guile-1.6-slib_1.6.8-10.3_all.deb
 98d685874e2c081e71c315f580dc7c79 19772 lisp optional guile-1.6_1.6.8-10.3_amd64.deb
 05c72e193a7a57c79516bf4007f89988 572380 lisp optional guile-1.6-dev_1.6.8-10.3_amd64.deb
 9f74dba6a5ec68bc747523c26b9af2a9 648486 lisp optional guile-1.6-libs_1.6.8-10.3_amd64.deb
 0b4de797bfa9e1f77942c1534b7f7e0d 16618 libs optional libqthreads-12_1.6.8-10.3_amd64.deb
 2614214f1bee5eaa7367e682bbb87b1d 18816 libs optional libguile-ltdl-1_1.6.8-10.3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQnQETAAoJELs6aAGGSaoGyxYP/3d/7DZuoFTYPRxXgMl93gZG
E+Gbn7acaK7qz7lwtHduc/QG45SmggGQOyBwaUTgFolCPteVoo1hH466ivnIyH8y
Y7XCKo7su/rqKbR32lzYBb8ABin4A3iKe6O09QYeYPcxI4nFme/QYClTlddy1idf
Ffy6/t/AzXxuoaNPo2/yaKemRes2MKDdaw4zY67TwzE3qwlNznOvgM0G6Ezmgl6o
945ymdn7PPkmT2CoJu9qf2vV20e2YwICkt9sBi2GpkCOF07/Cu0XLcgx63BbopQb
ruTk87JU69KCAOR7rZM2XJJnCTkZzbeY/k+Fmni6tr77KDFRDOyKy9A0XRspDKxR
Eq5lRXBJaDCA1Ckhec7EBXOtzcC6S8rKXaxBu9sySzhnmqUT0fE5wiInxHAk97rQ
yXhhv8yev4yTdJdeT5uTTK2VMkmZLI+qNayhPCnmMjOWV39+TI+zemeLQsf8Jpz3
xzdTwZG7lRUELEcmSenGL1SZka8dQ8Y85b0Y+sggXdmspryqz4Wrik4XXWkydULX
ED1UdJ7GzSE9NjLtD4zhMgf1U9Fzsa0E7z58ZXooTU064nUA7VGzSdtblfxpnwVK
f9DjIGlGIL3aRCpV5qkHbb9b3OkW42yJDfR2SMZOT/PrOg1uxbMYBzrZgoVyA5is
dvSsTDbOkWSWriodLskf
=YChv
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 10 Dec 2012 07:29:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:42:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.